qubes-gui-agent (4.1.18-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 12 Jun 2021 17:57:09 +0200

qubes-gui-agent (4.1.18-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: ensure R for few x11 tools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 12 Jun 2021 17:57:09 +0200

qubes-gui-agent (4.1.17-1) unstable; urgency=medium

  [ Rusty Bird ]
  * vmside: make strncat() length more obvious

  [ Frédéric Pierret (fepitre) ]
  * get-latest-pulsecore: default value for latest Fedora release

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Apr 2021 16:38:49 +0200

qubes-gui-agent (4.1.16-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: prevent restart on update
  * Add pulseaudio-14.1 headers
  * Add pulseaudio 14.2 headers

  [ unman ]
  * Fix pulseaudio in Ubuntu templates

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Feb 2021 12:30:55 +0100

qubes-gui-agent (4.1.15-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

  [ Benjamin Moody ]
  * vmside: Rename wm_state to net_wm_state.
  * vmside: Implement the WM_STATE property.

  [ Demi Marie Obenour ]
  * Remove unnecessary XInternAtom
  * Move XInternAtom calls to startup
  * Log when an unmanaged window is skipped
  * Add Vim modeline
  * Delete commented-out code
  * Use actual X11 timestamps
  * Only set focus on windows that want it
  * Tell Java we are a non-reparenting window manager
  * Remove references to /tmp/qubes-session-{env,waiter}
  * Remove unneded time parameters
  * Avoid passing NULL as an X11 string

  [ Marek Marczykowski-Górecki ]
  * Start gui-agent only after systemd let in normal users

  [ Demi Marie Obenour ]
  * Mass replace: ‘/var/run’ → ‘/run’

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Jan 2021 22:23:18 +0100

qubes-gui-agent (4.1.14-1) unstable; urgency=medium

  [ icequbes1 ]
  * Link pulsecore 13.99.3 headers to 13.99.2

  [ Marek Marczykowski-Górecki ]
  * xf86-video-dummy: improve error message on xengntshr_open fail

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: exclude qubes-gui-agent when installing in dom0

  [ Demi Marie Obenour ]
  * Fix Unicode handling in Qubes clipboard
  * Make variables static and add extern declaration

  [ Frédéric Pierret (fepitre) ]
  * Set default BACKEND_VMM value to xen
  * Use pkg-config to get BACKEND_VMM

  [ Demi Marie Obenour ]
  * Fix indentation and segfault

  [ icequbes1 ]
  * [ubuntu] Perform quilt refresh for ubuntu-only patch

  [ Frédéric Pierret (fepitre) ]
  * Add script for getting latest pulsecore headers
  * Add pulseaudio-14.0 headers
  * Few improvements from Marek's suggestions
  * Allow to override defined CFLAGS
  * Refactor main Makefile

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Dec 2020 15:17:10 +0100

qubes-gui-agent (4.1.13-1) unstable; urgency=medium

  [ unman ]
  * pulseaudio 13.99.2: add internal headers
  * pulseaudio 13.99.2

  [ Frédéric Pierret (fepitre) ]
  * Fix archlinux packaging

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 29 Oct 2020 22:06:24 +0100

qubes-gui-agent (4.1.12-1) unstable; urgency=medium

  [ Matt McCutchen ]
  * module-vchan-sink: link up the card properly

  [ Frédéric Pierret (fepitre) ]
  * pulseaudio: allow bluetooth devices like headphones

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Oct 2020 04:20:24 +0200

qubes-gui-agent (4.1.11-1) unstable; urgency=medium

  [ Paweł Marczewski ]
  * Extract Xephyr to a separate script

  [ Marek Marczykowski-Górecki ]
  * guivm: clean qrexec-service related environment in GUI session

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Aug 2020 05:34:20 +0200

qubes-gui-agent (4.1.10-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Modified keyboard layout handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Jul 2020 06:12:58 +0200

qubes-gui-agent (4.1.9-1) unstable; urgency=medium

  [ Dmitry Fedorov ]
  * conditionally use qubesdb dependency in vchan-sink module

  [ Olivier MEDOC ]
  * archlinux: set dependencies on xorg server ABI version instead of
    the server version itself

  [ Artur Puzio ]
  * Disable gui-agent on sys-gui-gpu

  [ deathgrippin ]
  * Condense conditional

  [ Rusty Bird ]
  * vmside: use XKillClient() if WM_DELETE_WINDOW is unsupported

  [ Frédéric Pierret (fepitre) ]
  * qubes-run-xephyr: debian has another path for shmoverride.so
  * Makefile: add clean of pkgs and debian changelog.*
  * debian: add xfce subpackage for VM
  * Check if shmoverride.so exists directly
  * debian: fix conflict with newer location of pulseaudio conf

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Jun 2020 05:31:38 +0200

qubes-gui-agent (4.1.8-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * pulse: fix pa_proplist_set[fs] usage

  [ Ivan Kardykov ]
  * fix typo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 21 May 2020 02:51:19 +0200

qubes-gui-agent (4.1.7-1) unstable; urgency=medium

  [ Paweł Marczewski ]
  * pulseaudio: support reconnecting
  * pulseaudio 13.99.1
  * pulseaudio 13.99.1: add internal headers
  * Bump ICON_MAX_SIZE

  [ Yukikoo ]
  * Archlinux: more permissive with xorg-server update

  [ Paweł Marczewski ]
  * icon-sender: reconnect on failure
  * Send MSG_CURSOR
  * Check protocol version defined in qubes-gui-protocol.h

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 10 Apr 2020 05:57:53 +0200

qubes-gui-agent (4.1.6-1) unstable; urgency=medium

  [ Neowutran ]
  * ARCHLINUX: xf86dgaproto doesn't exist anymore, and is no longer
    required. Removing it from the dependencies.

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to dom0 Fedora 31

  [ Foppe ]
  * Update .travis.yml

  [ Zaoqi ]
  * archlinux: qubes-vm-gui: update PKGBUILD

  [ Marek Marczykowski-Górecki ]
  * Replace non-executable qubes.SetMonitorLayout file with a symlink
  * create /etc/qubes-rpc directory before placing a symlink there

  [ Frédéric Pierret (fepitre) ]
  * Allow GUI and AUDIO client to be ran before their corresonding
    servers
  * GUI/AUDIO xid: use 'wait' option of qubesdb-read

  [ Marek Marczykowski-Górecki ]
  * Require new enough qubesdb-read for -w option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 01 Mar 2020 03:07:45 +0100

qubes-gui-agent (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * qvm-features-request: add guivm-gui-agent
  * qubes-session: fix too late loginctl activate
  * vmside: fix vchan reconnect to domid 0
  * module-vchan-sink: read domid from qubesdb
  * module-vchan-sink: convert tabs to spaces
  * module-vchan-sink: log for domid used

  [ Otto Sabart ]
  * archlinux: qubes-vm-gui: update PKGBUILD

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 30 Nov 2019 05:14:16 +0100

qubes-gui-agent (4.1.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-change-keyboard-layout after migrating to python3

  [ Neowutran ]
  * add pulseaudio 13.0 headers

  [ Marek Marczykowski-Górecki ]
  * archlinux: do not force python2 anymore
  * rpm: update pulseaudio version

  [ Neowutran ]
  * Archlinux: Allow any pulseaudio version between 13.0 and 14.0 for
    qubes-vm-pulseaudio

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * qubes-keymap: handle input of keyboard layout
  * qubes-keymap: handle variant in qubesdb
  * qubes-run-xorg: make ShellChek happy
  * Improve GuiVM session workflow
  * qubes-run-xephyr: update options
  * qubes-run-xorg: improvements from Marek's investigations for session
    reseting
  * qubes-keymap: handle options in qubesdb
  * xinitrc.d: add set of _QUBES_VMNAME atom

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 06:13:10 +0100

qubes-gui-agent (4.1.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add pulseaudio-12.99.2 symlinked headers
  * spec: handle newer pulseaudio for Fedora 31+

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Sep 2019 05:32:10 +0200

qubes-gui-agent (4.1.2-1) wheezy; urgency=medium

  [ Laurent ]
  * Update PKGBUILD

  [ xaki23 ]
  * add modargs for target domid and sink/source descr strings

  [ Marek Marczykowski-Górecki ]
  * Build package for dom0 too
  * debian: add Build-Depends: lsb-release

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Jul 2019 02:29:38 +0200

qubes-gui-agent (4.1.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * video-dummy: fix off by one error in memory size check
  * Convert qubes-change-keyboard-layout to python3
  * travis: add fc30, switch to xenial

  [ Frédéric Pierret (fepitre) ]
  * Init script qubes-gui-agent is not needed anymore
  * spec: ensure we remove empty /etc/inid.d folder
  * spec: better use rmdir and check if exist for /etc/init.d

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jun 2019 12:35:03 +0200

qubes-gui-agent (4.1.0-1) unstable; urgency=medium

  [ Simon Gaiser ]
  * Adapt to new gui protocol version using grant refs

  [ Marek Marczykowski-Górecki ]
  * vmside: handle memory allocation error
  * Use CFLAGS/LDFLAGS set by rpm
  * rpm/deb: bump required qubes-gui-common-devel version
  * xf86-video-dummy: fix compiler warning
  * xf86-video-dummy: fix FBBase release
  * Increase gntalloc limit

  [ Your Name ]
  * CLIPBOARD_DATA: send window id, and ignore window id in incoming
    pastes

  [ Marek Marczykowski-Górecki ]
  * travis: update to R4.1
  * rpm,deb: add xen devel to build requirements

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 09 Mar 2019 05:37:31 +0100

qubes-gui-agent (4.0.21-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: switch to using icon-sender with python3

  [ Marek Marczykowski-Górecki ]
  * Drop /etc/X11/Xwrapper.config

  [ Frédéric Pierret (fepitre) ]
  * Fix GCC9 warning about size in strncpy

  [ Marek Marczykowski-Górecki ]
  * Indentation fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 18:32:31 +0100

qubes-gui-agent (4.0.20-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * fix install path to follow archlinux packaging guidelines

  [ Frédéric Pierret (fepitre) ]
  * spec: fix missing abi version requirement

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 Jan 2019 22:25:23 +0100

qubes-gui-agent (4.0.19-1) unstable; urgency=medium

  [ Duncan X. Simpson ]
  * Bump xorg-server version

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-keymap script permissions

  [ Wojtek Porczyk ]
  * qubes-run-xorg: add configurable videoram overhead

  [ Marek Marczykowski-Górecki ]
  * Fix X11 session registration in logind
  * qubes-run-xorg: fix one more place with hardcoded 'user'
  * vmside: cleanup calling qubes-run-xorg, terminate it on service stop

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Nov 2018 03:09:41 +0100

qubes-gui-agent (4.0.18-1) unstable; urgency=medium

  [ unman ]
  * Add epoch for pulseaudio-qubes requirements in Ubuntu builds

  [ Marek Marczykowski-Górecki ]
  * gui-agent: switch to automatic composition mode, fix in-vm
    screenshots

  [ Duncan X. Simpson ]
  * Fix python-xcffib dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Oct 2018 01:31:03 +0100

qubes-gui-agent (4.0.17-1) unstable; urgency=medium

  [ fepitre ]
  * travis: add fc29
  * Update to python3-xcffib

  [ Marek Marczykowski-Górecki ]
  * window-icon-updater: make it work with python3
  * window-icon-updater: drop python-xcb support
  * archlinux: update dependencies
  * xf86-video-dummy: drop unused variables
  * xf86-video-dummy: indent with spaces not tabs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 06:05:36 +0200

qubes-gui-agent (4.0.16-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: bump xorg-server version

  [ Marek Marczykowski-Górecki ]
  * pulse: update module for pulseaudio 12.0
  * debian: bind to specific pulseaudio version
  * Drop .sh from /usr/bin/qubes-run-xorg.sh
  * Remove generated/useless files
  * Make sourced files not executable
  * debian: remove manual systemctl call
  * debian: ignore pulseaudio-related lintian warnings
  * debian: update standard version, minor fix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Sep 2018 22:06:26 +0200

qubes-gui-agent (4.0.15-1) unstable; urgency=medium

  [ Jean-Philippe Ouellet ]
  * Bump Arch pulseaudio to 12.2 too

  [ Marek Marczykowski-Górecki ]
  * Allow overriding CC variable - choose another compiler
  * rpm: use build flags provided by the distribution

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Aug 2018 02:02:30 +0200

qubes-gui-agent (4.0.14-1) unstable; urgency=medium

  * rpm: fix max pulseaudio version
  * travis: add fc28

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Jul 2018 01:33:47 +0200

qubes-gui-agent (4.0.13-1) unstable; urgency=medium

  [ Jean-Philippe Ouellet ]
  * chmod -x files which have no reason to be +x

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Jul 2018 00:19:22 +0200

qubes-gui-agent (4.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * pulseaudio: remove now unused variables
  * debian: remove gnome-keyring dependency

  [ Duncan X. Simpson ]
  * Add symlink from pulsecore-12.0 to pulsecore-12.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jul 2018 02:21:40 +0200

qubes-gui-agent (4.0.11-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: bump xorg server version to 1.20.0 and add missing
    dependiencies

  [ sstt011 ]
  * Remove unnessecary pulseaudio message
  * Readd line that shouldn't have been taken out

  [ Marek Marczykowski-Górecki ]
  * Add pulseaudio 12.0 headers
  * rpm, archlinux: adjust pulseaudio version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jul 2018 23:36:15 +0200

qubes-gui-agent (4.0.10-1) unstable; urgency=medium

  [ Yassine Ilmi ]
  * Using the default_user available in qubesdb to start X
  * Handle unavailable default-user value by defaulting to "user"
  * Revert "Using the default_user available in qubesdb to start X"
  * Handling case where default-user is not available in qubesdb
  * Calling qubes-db once with a simpler statement

  [ Marek Marczykowski-Górecki ]
  * Revert "Use fixed amount of memory"
  * Add extra video RAM for dynamic display attach

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * Fix link to be properly handle in the archive
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora versions
  * rpm: set BACKEND_VMM
  * travis: add centos7

  [ Frédéric Pierret ]
  * spec.in: python-xcffib -> python2-xcffib for Fedora >=28

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 02 May 2018 19:00:18 +0200

qubes-gui-agent (4.0.9-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * desktop flavor: specific XFCE make target
  * XFCE: export QT_QPA_PLATFORMTHEME=qt5ct to init qt5ct properly

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:39:38 +0100

qubes-gui-agent (4.0.8-1) unstable; urgency=medium

  [ TomZ ]
  * Make compile on archlinux

  [ Marek Marczykowski-Górecki ]
  * icon-sender: prefer xcffib module over xpyb

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 12 Jan 2018 06:19:56 +0100

qubes-gui-agent (4.0.7-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Update pulseaudio version to 11.1 (Fedora 27)

  [ Olivier MEDOC ]
  * archlinux: bump pulseaudio version to 11.1
  * Makefile: split install target between pulseaudio and other gui
    agent files
  * archlinux: split pulseaudio support into qubes-vm-pulseaudio
    subpackage
  * archlinux: create pulseaudio specific install script
  * archlinux: add libxcomposite as a make dependency
  * archlinux: remove code in pulseaudio install script belonging to gui-
    agent install script

  [ unman ]
  * Allow build for Xenial in 4.0

  [ Paul Holcomb ]
  * Fix Ubuntu template builds; apply XDG changes for all Ubuntu
    templates.

  [ Marek Marczykowski-Górecki ]
  * travis: add fc26 and buster

  [ Frédéric Pierret ]
  * Add support for XFCE desktop in appvm

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 21 Nov 2017 05:06:34 +0100

qubes-gui-agent (4.0.6-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: adjust Xorg path for Debian stretch

  [ Antoine Martin ]
  * Honor DacSpeed setting in xorg.conf

  [ Marek Marczykowski-Górecki ]
  * Convert tabs to spaces in qubes-run-xorg.sh

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 03 Nov 2017 03:23:10 +0100

qubes-gui-agent (4.0.5-1) unstable; urgency=medium

  * Add pulseaudio-11.1 headers symlink

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 Sep 2017 04:14:56 +0200

qubes-gui-agent (4.0.4-1) unstable; urgency=medium

  [ Olivier MEDOC ]
  * xorg: ensure libfb.so is loaded before dummyqbs_drv.so (Issue #3093)

  [ Marek Marczykowski-Górecki ]
  * Use X module name, not filename

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Sep 2017 23:19:14 +0200

qubes-gui-agent (4.0.3-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * pulseaudio: Create a card, a profile and ports

  [ Frederic Pierret (Epitre) ]
  * Replace python-xpyb by python-xcffib

  [ Olivier MEDOC ]
  * Added pulseaudio 11.0 headers
  * archlinux+rpm: update supported pulseaudio version to 11.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2017 13:47:41 +0200

qubes-gui-agent (4.0.2-1) unstable; urgency=medium

  * debian: move pulseaudio-related postinst into pulseaudio-qubes
    package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Jun 2017 01:48:34 +0200

qubes-gui-agent (4.0.1-1) unstable; urgency=medium

  * vmside: fix waiting for gui-daemon
  * xside: remove vim modeline
  * rpm: fix dependencies for handling package rename
  * rpm: move pulseaudio-related install scripts to pulseaudio-qubes pkg
  * rpm: add dependency on X server itself
  * Load u2mfn kernel module
  * rpm: drop very old upgrade handling
  * Set XDG_SESSION_CLASS=user
  * travis: switch to Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jun 2017 00:14:54 +0200

qubes-gui-agent (4.0.0-1) unstable; urgency=medium

  * rpm: rename package to qubes-gui-agent
  * rpm,deb: remove obsolete dependencies
  * Split pulseaudio support into pulseaudio-qubes subpackage

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 30 May 2017 15:26:18 +0200

qubes-gui-agent (3.2.17-1) unstable; urgency=medium

  [ HW42 ]
  * xf86-input-mfndev: send mfns response directly in unthreaded Xserver
  * xf86-input-mfndev: properly close the socket fd after EOF or IO
    errors

  [ Marek Marczykowski-Górecki ]
  * debian: remove non-deterministic orig tarball

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Apr 2017 13:21:38 +0200

qubes-gui-agent (3.2.16-1) unstable; urgency=medium

  [ HW42 ]
  * xf86-input-mfndev: don't use QueueWorkProc() in input thread

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 01 Apr 2017 11:53:48 +0200

qubes-gui-agent (3.2.15-1) unstable; urgency=medium

  [ unman ]
  * Add debian patches directory

  [ HW42 ]
  * xf86-input-mfndev: cleanup whitespace
  * xf86-input-mfndev: remove dead code
  * xf86-input-mfndev: don't access windows in input thread

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Mar 2017 01:02:20 +0100

qubes-gui-agent (3.2.14-1) unstable; urgency=medium

  [ unman ]
  * Tidy debian patch for Xenial
  * Fix build for Trusty

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 03 Mar 2017 04:29:53 +0100

qubes-gui-agent (3.2.13-1) unstable; urgency=medium

  * rpm: bump pulseaudio version to 10.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jan 2017 11:42:41 +0100

qubes-gui-agent (3.2.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: add missing Build-Depends: x11proto-xf86dga-dev
  * debian: remove manual systemctl call

  [ Olivier MEDOC ]
  * fix indentation error triggering gcc -Werror=misleading-indentation
  * archlinux: split dependencies in multiple lines to ease git updates
  * archlinux: bump version of xorg-server to 1.19.0
  * archlinux: ensure proxy configuration is applied after update
  * Added pulseaudio 10.0 headers
  * archlinux: bumped pulseaudio version to 10.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jan 2017 04:26:08 +0100

qubes-gui-agent (3.2.11-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * debian: fail the build if any file in not packaged
  * debian: split xorg drivers into separate packages
  * makefile: wrap long lines
  * makefile: don't install non-executables as executables
  * debian: add missing qubesdb-vm dependency
  * debian: add missing python dependency
  * debian: do not use absolute paths in maintainer scripts

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Dec 2016 05:34:57 +0100

qubes-gui-agent (3.2.10-1) unstable; urgency=medium

  [ unman ]
  * Provide XDG_DATA_DIRS in Xenial. Also update deb package to 3.0
    quilt)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 06 Dec 2016 23:14:54 +0100

qubes-gui-agent (3.2.9) wheezy; urgency=medium

  * rpm: fix pulseaudio version
  * xf86-video-dummy: adjust for xorg-server-1.19.0
  * travis: add fc25 target

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Nov 2016 03:09:26 +0100

qubes-gui-agent (3.2.8) wheezy; urgency=medium

  * Do not unconditionally load gnome-keyring environment

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Nov 2016 02:19:52 +0100

qubes-gui-agent (3.2.7) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: prevent xserver-xorg-legacy installation

  [ unman ]
  * Exclude Trolltech.conf in Xenial build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 17 Nov 2016 09:51:34 +0100

qubes-gui-agent (3.2.6) wheezy; urgency=medium

  * Increase maximum number of video outputs to 16

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Oct 2016 11:29:07 +0200

qubes-gui-agent (3.2.5) wheezy; urgency=medium

  [ HW42 ]
  * vmside: force WindowBorderWidth to zero

  [ Marek Marczykowski-Górecki ]
  * xf86-video-dummy: changeable physical output size
  * Convert tabs to spaces in qubes-set-monitor-layout
  * Extendt qubes.SetMonitorLayout to support also physical dimensions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 07 Aug 2016 17:10:22 +0200

qubes-gui-agent (3.2.4) wheezy; urgency=medium

  * Prevent window composition buffers from being moved in RAM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Aug 2016 16:31:14 +0200

qubes-gui-agent (3.2.3) wheezy; urgency=medium

  [ Jacob Jenner Rasmussen ]
  * Added pulseaudio 9.0 support
  * archlinux: bumped supported pulseaudio version
  * Pulseaudio headers is now actually from 9.0

  [ Olivier MEDOC ]
  * archlinux: remove unnecessary glib-compile-scheme

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 17 Jul 2016 05:20:13 +0200

qubes-gui-agent (3.2.2) wheezy; urgency=medium

  * Convert tabs to spaces
  * travis: initial version
  * debian: add missing libvchan-xen-dev to Build-Depends

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Jun 2016 04:50:58 +0200

qubes-gui-agent (3.2.1) wheezy; urgency=medium

  * vmside: update protocol version, send window class
  * pulseaudio: cork audio stream when unused
  * rpm: require new enough qubes-gui-common-devel for updated protocol
  * debian: reformat dependencies for better readability
  * debian: require new enough qubes-gui-common for updated protocol

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:41:03 +0200

qubes-gui-agent (3.2.0) wheezy; urgency=medium

  [ Olivier MEDOC ]
  * archlinux: remove bugfixes related to pulseaudio

  [ Marek Marczykowski-Górecki ]
  * Reserve extra space in monitor-layout protocol

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 04 May 2016 23:37:50 +0200

qubes-gui-agent (3.1.5) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * xf86-input-mfndev: add error checking for mlock

  [ Olivier MEDOC ]
  * archlinux: dump to Xorg server version 1.18
  * icon-sender: avoid using xcb.xproto namespace to make xcffib
    compatible

  [ Marek Marczykowski-Górecki ]
  * Import PulseAudio 8.0 headers
  * archlinux/rpm: update pulseaudio dependencies
  * Command line option to change keyboard layout
  * Fix saving keyboard layout
  * Fix setting keyboard layout on Debian VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 11 Feb 2016 00:52:56 +0100

qubes-gui-agent (3.1.4) wheezy; urgency=medium

  [ noname ]
  * archlinux: changed xorg-server dependency to version 1.18.*

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 05:51:42 +0100

qubes-gui-agent (3.1.3) wheezy; urgency=medium

  * window-icon-update: fix crash when all the icons are too big
  * screen-layout: explicitly set DISPLAY variable
  * Fix permissions on X->gui-agent socket

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Dec 2015 14:22:11 +0100

qubes-gui-agent (3.1.2) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix handling functions and multi-line variables in environment
  * code style: fix indentation, no functional change
  * xf86-input: add error logging on failed communication with gui-agent
  * Merge xserver-fd.c back to vmside.c
  * Allow qubes_drv reconnection to gui-agent

  [ yaqu ]
  * Make qubes-session-env consistent with qrexec-fork-server's
    environment

  [ Marek Marczykowski-Górecki ]
  * Do not try to load /tmp/qubes-session-env when it doesn't exist

  [ yaqu ]
  * Removing old/redundant code in qubes-session
  * Replacing "sleep 365d" with "sleep inf"

  [ Patrick Schleizer ]
  * fix, qubes-mount-home.service -> qubes-mount-dirs.service

  [ Marek Marczykowski-Górecki ]
  * DispVM restore: do not spin forever when QubesDB connection is
    closed

  [ Olivier MEDOC ]
  * archlinux: dump Pulseaudio config to 7.0 and fix new window-icon-
    updater service
  * archlinux: ensure python2 is used even when scripts are called using
    /usr/bin/env
  * window-icon-update: allow usage of xcffib instead of pyxcb because
    it is not available in default archlinux packages

  [ Marek Marczykowski-Górecki ]
  * Include PulseAudio 7.1 headers

  [ Patrick Schleizer ]
  * clean up /etc/X11/Xsession.d/98qubes-session

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 15:27:24 +0100

qubes-gui-agent (3.1.1) wheezy; urgency=medium

  * debian: fix typo in debian/control
  * Synchronize all key modifiers by default
  * xsession: rename scripts to match Xsession requirements (#1172)
  * Start X session as user login session

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Oct 2015 03:08:07 +0200

qubes-gui-agent (3.1.0) wheezy; urgency=medium

  * Implement window icon updater (#967)
  * Add python-xpyb dependency for icon-updater

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Sep 2015 21:21:49 +0200

qubes-gui-agent (3.0.11) wheezy; urgency=medium

  [ Jason Mehring ]
  * env QT_X11_NO_MITSHM: Stops QT from using the MIT-SHM X11 Shared
    Memory Extension
  * env GNOME_DESKTOP_SESSION_ID: Prevents QT from displaying ugly QT
    theme

  [ Marek Marczykowski-Górecki ]
  * Update .desktop files - use OnlyShowIn=X-QUBES
  * Revert "qubes-session: use '/var/lib/qubes/xdg' instead of
    '/usr/share/qubes/xdg'"
  * qubes-session: use qubes-session-autostart instead of poor man shell
    version
  * Support environment "QUBES" in addition to "X-QUBES" for backward
    compat

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Sep 2015 02:46:18 +0200

qubes-gui-agent (3.0.10) wheezy; urgency=medium

  * qubes-session: use '/var/lib/qubes/xdg' instead of
    '/usr/share/qubes/xdg'
  * Require new enough core-agent for moved qubes xdg dir

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Aug 2015 13:40:05 +0200

qubes-gui-agent (3.0.9) wheezy; urgency=medium

  [ Olivier MEDOC ]
  * xf86-input-mfndev: enable usage of libtoolize
  * archlinux: enable pulseaudio configuration in gui agent instead of
    core agent because pulseaudio is a dependency of gui-agent
  * archlinux: ensure /usr/lib64 or /lib is not used to follow archlinux
    packaging guidelines
  * archlinux: update dependencies and install script to match rpm spec
    file
  * archlinux: ensure that packet is dependant on xorg and pulseaudio
    versions it has been compiled for

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Aug 2015 04:43:19 +0200

qubes-gui-agent (3.0.8) wheezy; urgency=medium

  * vmside: delay MSG_MFNDUMP until first damage notify event

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 14 Jul 2015 22:24:58 +0200

qubes-gui-agent (3.0.7) wheezy; urgency=medium

  * vmside: handle both _NET_WM_NAME (preferred) and WM_NAME property
    (#1026)
  * Fix garbage window content on Debian (#1028)
  * debian: use more proper way to call qubes-session

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jul 2015 07:06:34 +0200

qubes-gui-agent (3.0.6) wheezy; urgency=medium

  * vmsite: Synchronize mouse position when it enters the window
  * Include Xwrapper.config used in Fedora >= 21

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 11 Jun 2015 04:49:39 +0200

qubes-gui-agent (3.0.5) wheezy; urgency=medium

  * pulse: fix handling record stop event
  * pulse: update module name and author

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 13 Apr 2015 13:30:58 +0200

qubes-gui-agent (3.0.4) wheezy; urgency=medium

  * qubes-session: restore sane umask
  * vmside: log X11 errors only in verbose loglevel

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Apr 2015 03:40:04 +0200

qubes-gui-agent (3.0.3) wheezy; urgency=medium

  * pulse: do not load module-dbus-protocol module
  * pulse: load module-udev-detect by default

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Apr 2015 22:02:34 +0200

qubes-gui-agent (3.0.2) wheezy; urgency=medium

  [ Jason Mehring ]
  * Stops Qt form using the MIT-SHM X11 Shared Memory Extension
  * Added a default QT configuration file to /etx/xdg
  * Added Trolltech.conf to install section of Makefile
  * debian: Added qt4-qtconfig to recommends
  * Added /etc/xdg/Trolltech.conf to spec file

  [ Marek Marczykowski-Górecki ]
  * rpm: mark Trolltech.conf as a config file
  * vmside: retry connection to X server if failed with EAGAIN

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Apr 2015 01:13:31 +0200

qubes-gui-agent (3.0.1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: provide default GTK and fonts config
  * spec: strip pulseaudio version suffix

  [ Wojciech Zygmunt Porczyk ]
  * Fix "spec: strip pulseaudio version suffix"

  [ Marek Marczykowski-Górecki ]
  * Fix "spec: strip pulseaudio version suffix" one more time

  [ Jason Mehring ]
  * Handle desktop entry config files that were moved into a Qubes
    xdg/autostart directory preserving the originals
  * Corrected handling of .desktop entry config files for xdg/autostart
  * debian: Added maintainer scripts and triggers

  [ Marek Marczykowski-Górecki ]
  * Start qrexec-fork-server if installed
  * Enter home directory before starting fork server
  * Import pulseaudio-6.0 headers
  * Update vchan-sink module for pulseaudio-6.0
  * Start qrexec-fork-server before signaling the session as ready
  * Make qubes-session-env available only when ready
  * vchan wrapper: do not exit after calling vchan_at_eof callback
  * vchan wrapper: two functions needed for reconnecting to guid for
    DispVM
  * Better support guid reconnect - send all windows state
  * Delay pulseaudio startup for DispVM - wait for real DispVM, not its
    template
  * guid reconnect: update the code for R3 vchan API
  * guid reconnect: update the code for QubesDB
  * Fix race condition in DispVM restore detection code
  * xside/reconnect: do not send updates on windows not sent to dom0
    initially
  * qubes-session: do not treat DispVM specially
  * systemd: fix race condition with qubes.WaitForSession
  * systemd: update dependencies for new qubes-mount-home.service

  [ Jason Mehring ]
  * debian:  Added new qubesdb-dev to debian build depends

  [ Marek Marczykowski-Górecki ]
  * xf86-input: fix buttons labels initialization
  * xf86-input: fix setting buttons map
  * Do not kill -STOP qubes-session, logind will hang on cleaning it up

  [ Jason Mehring ]
  * cmd.type is an unsigned int; changed to relect that
  * pa_log_debug refered to 'l' and an int when in fact its an unsigned
    long int
  * Changed pulseaudio build depend to allow pulse-lib <=6.0 instead of
    5.0 to allow fc22 to build

  [ Marek Marczykowski-Górecki ]
  * Fix systemd service permissions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Mar 2015 00:28:35 +0100

qubes-gui-agent (3.0.0) jessie; urgency=medium

  [ Matt McCutchen ]
  * Create an active systemd-logind session.

  [ HW42 ]
  * debian: add missing build-dep on libltdl-dev

  [ Marek Marczykowski ]
  * Update for new vchan API
  * Remove unused code.
  * spec: vchan dependencies
  * Don't check if dom0/GUI domain is still alive too often

 -- Marek Marczykowski <marmarek@invisiblethingslab.com>  Sat, 22 Nov 2014 16:24:21 +0100

qubes-gui-agent (2.1.29) jessie; urgency=medium

  [ Jason Mehring ]
  * Added pulsecore-2.0 and modified module-vchan-sink-symdef.h to use
    it for Debian Wheezy template builds

  [ Marek Marczykowski-Górecki ]
  * Remove non-header files from pulsecore-2.0
  * debian: convert to systemd native service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 25 Oct 2014 01:51:38 +0200

qubes-gui-agent (2.1.28) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Import pulseaudio 5.0 headers
  * Fix compiler warning - warn_unused_result
  * Send position WM hints (#655)
  * Fix race condition while handling window creation notify
  * Check for binaries before starting 3rd party programs
  * vmside: do not sent WM_TAKE_FOCUS when its support not advertised by
    application
  * rpm: fix package dependencies
  * version 2.1.23
  * Increase buttons count of emulated input device to 7
  * version 2.1.24
  * xside: disable unused code
  * vmside: raise embedder window on focus or mouse button event (#812)
  * vmside: ignore grab enter/leave virtual notify
  * version 2.1.25
  * vmside: fix enforcing clipboard size limit
  * version 2.1.26
  * rpm: update pulseaudio max version
  * version 2.1.27

  [ Davíð Steinn Geirsson ]
  * qubes-set-monitor-layout is bash-specific, declare it explicitly
  * Use xenstore.h instead of xs.h on xen >= 4.2
  * gui-agent-linux: Support xenstore-read in /usr/sbin as well as
    /usr/bin
  * Initial debian packaging

  [ Marek Marczykowski-Górecki ]
  * debian: remove pulsecore-4.0 headers - jessie uses 5.0 now
  * Remove dom0 leftovers from makefile
  * Update pulseaudio headers symlink just before build
  * debian: add missing build deps
  * gitignore
  * Update keymap script for debian (make it dash compatible)
  * debian: do not restart service during upgrade

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Jul 2014 03:42:25 +0200

qubes-gui-agent (2.1.22) jessie; urgency=low

  * Initial Release.

 -- Davíð Steinn Geirsson <david@dsg.is>  Mon, 21 Apr 2014 17:28:35 +0000
